Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1686014 - tripleo puppet ceph missmach
Summary: tripleo puppet ceph missmach
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-ceph
Version: 8.0 (Liberty)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact: nlevinki
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-06 14:34 UTC by Attila Fazekas
Modified: 2019-03-13 13:18 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-13 13:18:41 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Attila Fazekas 2019-03-06 14:34:28 UTC
Description of problem:
ospd deployment fails with:
 Looking up ceph::conf::defaults in Module Data backend\u001b[0m\n\u001b[0;36mDebug: hiera(): Looking for data in source /etc/puppet/modules/ceph/data/common.yaml\u001b[0m\n", 
2019-03-05 19:48:51.853 |     "deploy_stderr": "rror: Unknown function ensure_resources at /etc/puppet/modules/ceph/manifests/conf.pp:31 on node controller-0.localdomain\u001b[0m\n", 
Version-Release number of selected component (if applicable):
osp8, today CI

openstack-puppet-modules.noarch  1:7.1.5-11.1.el7ost     @rhos-8.0-signed       
openstack-tripleo-heat-templates-kilo.noarch
                                 0.8.14-44.el7ost       @rhelosp-8.0-director-puddle
openstack-tripleo-image-elements.noarch
                                 0.9.9-2.1.el7ost       @rhelosp-8.0-director-puddle
openstack-tripleo-puppet-elements.noarch
                                 0.0.5-2.el7ost         @rhelosp-8.0-director-puddle

rhosp-director-images.noarch     8.0-20190303.1.el7ost  @rhelosp-8.0-director-puddle
rhosp-director-images-ipa.noarch 8.0-20190303.1.el7ost  @rhelosp-8.0-director-puddle


Note You need to log in before you can comment on or make changes to this bug.